<?xml version="1.0" encoding="utf-8" ?>
<SiteUrls>
  <locations>
    <location name="admin" path="/admin/" exclude = "true" />
    <location name="installer" path="/installer/" exclude = "true" />
    <location name="user" path="/user/"  exclude = "true"/>
    <location name="agent" path="/agent/"  exclude = "true"/>
    <location name="common" path="/" />
  </locations>

  <transformers>
    <add key = "^" value = "&amp;" />
    <add key = "##userName##" value = "(.+)" />
    <add key = "//" value = "/" />
  </transformers>

  <urls>
    <url name="installer" location="installer" path="Default.aspx" />
    <url name="home" location="common" path="default.aspx" />
    <url name="sendPayment" location="common" path="SendPayment.aspx?orderId={0}" />
    <url name="favicon" location = "common" path = "favicon.ico" />
    <url name="loadingImage" location="common" path = "utility/spinner.gif" />
    <url name="logout" location = "common" path="logout.aspx" />
    <url name="termsOfService" location = "common" path="protocol.aspx" />
    <url name="vote" location = "common" path="VoteList.aspx" />

    <url name="admin_default" location="admin" path="default.aspx" />
    <url name="admin" location = "admin" path="default.aspx?mainFrame={0}" />
    <url name="admin_summary" location = "admin" path="summary.aspx" />
    <url name="admin_AccessDenied_Clean" location = "admin" path="accessDenied.aspx" />
    <url name="admin_AccessDenied" location = "admin" path="accessDenied.aspx?privilege={0}" />
    <url name="admin_login" location = "admin" path="login.aspx?ReturnUrl={0}" />
    <url name="admin_loading" location = "admin" path="loading.aspx?msg={0}" />
    <url name="admin_articlelist" location = "admin" path="shop/ArticleList.aspx" />
    <url name="admin_SelectImage" location = "admin" path="ImageGallery.aspx?target={0}" />
    <url name="admin_editproductCategory" location = "admin" path="ProductCatalog/editProductCategory.aspx?categoryId={0}" />
    <url name="admin_displaceCategory" location ="admin" path="ProductCatalog/displacecategory.aspx?categoryId={0}" />
    <url name="admin_orderlookupItem" location = "admin" path ="Sales/OrderLookupItems.aspx?listId={0}" />
    <url name="admin_addlookupitem" location ="admin" path="Sales/AddOrderLookupItem.aspx?listId={0}" />
    <url name="admin_attribute" location="admin" path="ProductCatalog/Attributes.aspx?TypeId={0}"/>
    <url name="admin_imageGallery" location="admin" path="ImageGallery.aspx?target={0}" />
    <url name="admin_editGeneralGift" location="admin" path="Promote/EditGift.aspx?giftId={0}" />
    <url name="admin_overduecoupons" location="admin" path="Promote/overdueCoupons.aspx" />
    <url name="admin_engagedcoupons" location="admin" path="Promote/EngagedCoupons.aspx" />
    <url name="admin_newcoupons" location="admin" path="Promote/NewCoupons.aspx" />
    <url name="admin_editcoupons" location="admin" path="Promote/EditCoupon.aspx?couponId={0}" />
    <url name="admin_addcoupons" location="admin" path="Promote/AddCoupon.aspx" />
    <url name="admin_sendCouponsToEmail" location="admin" path="Promote/SendCouponEmails.aspx?couponId={0}" />
    <url name="admin_sendCouponsToUser" location="admin" path="Promote/SendCouponToUsers.aspx?couponId={0}" />
    <url name="admin_sendCouponsAgent" location="admin" path="Promote/SendCouponToUsersForAgent.aspx?couponId={0}" />
    <url name="admin_overduepromotesales" location="admin" path="Promote/OverduePromoteSales.aspx"/>
    <url name="admin_editdiscount" location="admin" path="Promote/EditDiscount.aspx?activityId={0}"/>
    <url name="admin_editfeefree" location="admin" path="Promote/EditFeeFree.aspx?activityId={0}"/>
    <url name="admin_editpresent" location="admin" path="Promote/EditPresent.aspx?activityId={0}"/>
    <url name="admin_editbuytosend" location="admin" path="Promote/EditBuyToSend.aspx?activityId={0}"/>
    <url name="admin_editquantitydiscount" location="admin" path="Promote/EditQuantitydiscount.aspx?activityId={0}"/>
    <url name="admin_addGiftCard" location="admin" path="ProductCatalog/AddGiftRechargeableCard.aspx?giftId={0}"/>
    <url name="admin_addproductCard" location="admin" path="ProductCatalog/AddDigitInventoryItem.aspx?productId={0}"/>
    <url name="admin_giftCard"  location="admin" path="ProductCatalog/GiftRechargeableCard.aspx?giftId={0}"/>
    <url name="admin_productCard" location="admin" path="ProductCatalog/DigitInventoryItem.aspx?productId={0}"/>
    <url name="admin_addBrand" location="admin" path="ProductCatalog/AddBrandCategories.aspx"/>
    <url name="admin_editBrand" location="admin"  path="ProductCatalog/EditBrandCategories.aspx?brandID={0}"/>
    <url name="admin_shippingModes" location="admin" path="Logistics/ShippingModes.aspx" />
    <url name="admin_attributeValue" location="admin" path="ProductCatalog/AttributeValue.aspx?categoryId={0}^attributeId={1}" />
    <url name="admin_editAttribute" location="admin" path="productcatalog/EditAttribute.aspx?categoryId={0}^attributeId={1}" />
    <url name="admin_createShippingModes" location="admin" path="Logistics/CreateShippingMode.aspx" />

    <url name="admin_KidAgentialRanks" location="admin" path="Membership/KidAgentialRanks.aspx?userId={0}"/>
    <url name="admin_KidMemberRanks" location="admin" path="Membership/KidMemberRanks.aspx?userId={0}"/>

    <url name="admin_EditAgent" location="admin" path="membership/EditAgent.aspx?userId={0}" />
    <url name="admin_EditMember" location="admin" path="membership/EditMember.aspx?userId={0}" />
    <url name="admin_EditManager" location="admin" path="Shop/EditManager.aspx?userid={0}" />
    <url name="admin_EditOrderLookupItem" location="admin" path="sales/EditOrderLookupItem.aspx?listId={0}^itemId={1}" />
    <url name="admin_AddItemsToProductList" location="admin" path="productcatalog/AddItemsToProductList.aspx?categoryId={0}^pListId={1}"/>
    <!-- 店铺设置 -->
    <url name="admin_DateTimeSettings" location="admin" path="shop/DateTimeSettings.aspx"/>
    <url name="admin_EmailSettings" location="admin" path="shop/EmailSettings.aspx"/>
    <url name="admin_Certificate" location="admin" path="shop/Certificate.aspx"/>
    <url name="admin_SiteContent" location="admin" path="shop/SiteContent.aspx"/>
    <url name="admin_IntegrationForum" location="admin" path="shop/IntegrationForum.aspx"/>
    <url name="admin_IntegrationDZSetting" location="admin" path="shop/IntegrationDZSetting.aspx"/>
    <url name="admin_TQOnlineServerSet" location="admin" path="shop/TQOnlineServerSet.aspx"/>

    <!--站内消息-->
    <url name="admin_ReceivedMessages" location="admin" path="shop/ReceivedMessages.aspx"/>
    <url name="admin_SendMessage" location="admin" path="shop/SendMessage.aspx?Title={0}^Content={1}"/>
    <url name="admin_SendMessageSelectUser" location="admin" path="shop/SendMessageSelectUser.aspx?Title={0}^Content={1}"/>
  
    <!-- 安全中心 -->
    <url name="admin_Managers" location = "admin" path="shop/Managers.aspx" />
    <url name="admin_AddGlobalManager" location="admin" path="shop/AddGlobalManager.aspx" />
    <url name="admin_AddManager" location="admin" path="shop/AddManager.aspx" />
    <url name="admin_Roles" location = "admin" path="shop/Roles.aspx" />
    <url name="admin_userinroles" location = "admin" path="shop/Managers.aspx?roleId={0}" />
    <url name="admin_rolepermission" location = "admin" path="shop/RolePermissions.aspx?roleId={0}" />

    <!-- 文章管理 -->
    <url name="admin_addarticles" location = "admin" path="shop/AddArticle.aspx?categoryId={0}" />
    <url name="admin_ArticleCategories" location="admin" path="shop/ArticleCategories.aspx"/>
    <url name="admin_CreateArticle" location="admin" path="shop/AddArticle.aspx"/>
    <url name="admin_Articles" location="admin" path="shop/ArticleList.aspx"/>
    <url name="admin_helplist" location="admin" path="shop/HelpList.aspx"/>
    <url name="admin_addhelp" location="admin" path="shop/AddHelp.aspx?categoryId={0}"/>
    <url name="admin_helpCategories" location="admin" path="shop/HelpCategories.aspx"/>
    <url name="admin_AfficheList" location="admin" path="shop/AfficheList.aspx"/>
    <url name="admin_CreateHelp" location="admin" path="shop/AddHelp.aspx"/>
    <url name="admin_Edithelp" location="admin" path="shop/EditHelp.aspx?helpId={0}"/>
    <url name="admin_EditArticle" location="admin" path="shop/EditArticle.aspx?articleId={0}"/>
    <url name="admin_CreateAffiche" location="admin" path="shop/AddAffiche.aspx"/>
    <url name="admin_EditAffiche" location="admin" path="shop/EditAffiche.aspx?afficheId={0}"/>

    <!-- 客户管理 -->
    <url name="admin_ManageAgentialRank" location="admin" path="membership/AgentialRanks.aspx"/>
    <url name="admin_AddAgent" location="admin" path="Membership/AddAgent.aspx" />
    <url name="admin_ManageAgents" location="admin" path="membership/ManageAgents.aspx"/>
    <url name="admin_ManageAgentsForAgent" location="admin" path="membership/ManageAgentsForAgent.aspx?userId={0}"/>
    <url name="admin_ManageMemberRank" location="admin" path="Membership/MemberRanks.aspx"/>
    <url name="admin_AddMember" location="admin" path="Membership/AddMember.aspx" />
    <url name="admin_ManageMembers" location="admin" path="Membership/ManageMembers.aspx"/>
    <url name="admin_ManageMembersForAgent" location="admin" path="Membership/ManageMembersForAgent.aspx"/>
    <url name="admin_ManageMemberByRank" location = "admin" path="Membership/ManageMembers.aspx?rankId={0}" />

    <url name="admin_AccountSummary" location ="admin" path="Membership/AccountSummary.aspx?userId={0}"/>
    <url name="admin_AccountSummarys" location ="admin" path="Membership/AccountSummary.aspx"/>
    <url name="admin_ReCharge" location="admin" path="Membership/ReCharge.aspx?userId={0}"/>
    <url name="admin_ReChargeForAgent" location="admin" path="Membership/ReChargeForAgent.aspx?userId={0}"/>
    <url name="admin_BalanceDetail" location="admin" path="Membership/BalanceDetails.aspx?userId={0}" />
    <url name="admin_BalanceDetails" location="admin" path="Membership/BalanceDetails.aspx" />
    <url name="admin_DrawRequest" location="admin" path="Membership/BalanceDrawRequest.aspx?userId={0}"/>
    <url name="admin_DrawRequests" location="admin" path="Membership/BalanceDrawRequest.aspx"/>
    <url name="admin_FreezeDetail" location="admin" path="Membership/BalanceFreezeDetails.aspx?userId={0}" />
    <url name="admin_FreezeDetails" location="admin" path="Membership/BalanceFreezeDetails.aspx" />
    <url name="admin_RegistrationSetting" location="admin" path="Membership/RegistrationSettings.aspx" />
    <url name="admin_DeductRequestDetails" location="admin" path="Membership/DeductRequestDetails.aspx?userId={0}"/>
    <url name="admin_DeductDetails" location="admin" path="Membership/DeductDetails.aspx?userId={0}"/>

    <url name="admin_SetProductAgentPrice" location="admin" path="Membership/SetProductAgentPrice.aspx?rankId={0}" />
    <url name="admin_SetProductMemberPrice" location="admin" path="Membership/SetProductMemberPrice.aspx?rankId={0}"/>
    <url name="admin_SetProductMemberPriceForAgent" location="admin" path="Membership/SetProductMemberPriceForAgent.aspx?rankId={0}^agentId={1}"/>

    <url name="admin_ManageLeaveComments" location="admin" path="Membership/ManageLeaveComments.aspx"/>
	  <url name="admin_OpenIdServices" location="admin" path="Membership/OpenIdServices.aspx"/>
	  <url name="admin_OpenIdSettings" location="admin" path="Membership/OpenIdSettings.aspx?t={0}"/>

    <!-- 商品管理 -->
    <url name="admin_ProductType" location="admin" path="productcatalog/ProductTypes.aspx"/>
    <url name="admin_ManageAttributeValueTemplet" location="admin" path="productcatalog/AttributeValueTempletes.aspx"/>
    <url name="admin_TopCategories" location="admin" path="productcatalog/ManageCategories.aspx"/>
    <url name="admin_AddProductCategory" location="admin" path="productcatalog/AddProductCategory.aspx"/>
    <url name="admin_AddAttribute" location="admin" path="productcatalog/AddAttribute.aspx?categoryId={0}" />
    <url name="admin_ProductUnclassified" location="admin" path="productcatalog/ProductUnclassified.aspx"/>
    <url name="admin_AddProduct" location="admin" path="productcatalog/AddProduct.aspx"/>
    <url name="admin_ProductOnSales" location="admin" path="productcatalog/ProductOnSales.aspx"/>
    <url name="admin_Products" location="admin" path="productcatalog/ProductOnSales.aspx?productName={0}^categoryId={1}^sku={2}^brandId={3}^pageSize={4}^supplierId={5}"/>
    <url name="admin_ProductInStock" location="admin" path="productcatalog/ProductInStock.aspx"/>
    <url name="admin_ProductsInStock" location="admin" path="productcatalog/ProductInStock.aspx?productName={0}^categoryId={1}^sku={2}^brandId={3}^pageSize={4}^supplierId={5}"/>
    <url name="admin_NoProductCheck" location="admin" path="productcatalog/NoProductCheck.aspx"/>
    <url name="admin_EditCommonProduct" location="admin" path="productcatalog/EditCommonProduct.aspx?productId={0}"/>
    <url name="admin_EditRechargeableCardProduct" location="admin" path="productcatalog/EditRechargeableCardProduct.aspx?productId={0}"/>
    <url name="admin_ImportCard" location="admin" path="productcatalog/SelectDigitProduct.aspx"/>
    <url name="admin_ImportCardFromQuickLink" location="admin" path="productcatalog/SelectDigitProduct.aspx"/>
    <url name="admin_ManageCardInventory" location="admin" path="productcatalog/DigitInventoryItem.aspx"/>
    <url name="admin_ManageSuppliers" location="admin" path="productcatalog/Suppliers.aspx"/>
    <url name="admin_BrandCategories" location="admin" path="productcatalog/BrandCategories.aspx"/>
    <url name="admin_ProductSettings" location="admin" path="productcatalog/ProductSettings.aspx"/>
    <url name="admin_ProductConsultationsManage" location="admin" path="productcatalog/ProductConsultationsManage.aspx"/>
    <url name="admin_ProductConsultationsReplyedManage" location="admin" path="productcatalog/ProductConsultationsReplyedManage.aspx"/>
    <url name="admin_ProductReviewsManage" location="admin" path="productcatalog/ProductReviewsManage.aspx"/>
    <url name="admin_PriceChange" location="admin" path="productcatalog/PriceChange.aspx"/>
    <url name="admin_ProductBatchUpload" location="admin" path="productcatalog/ProductBatchUpload.aspx"/>
	<url name="admin_ExportHishop" location="admin" path="productcatalog/ExportToHishop.aspx?productName={0}^categoryId={1}^sku={2}^brandId={3}^pageSize={4}^supplierId={5}"/>
	<url name="admin_ExportPP" location="admin" path="productcatalog/ExportToPP.aspx?productName={0}^categoryId={1}^sku={2}^brandId={3}^pageSize={4}^supplierId={5}"/>
	<url name="admin_ExportTB" location="admin" path="productcatalog/ExportToTB.aspx?productName={0}^categoryId={1}^sku={2}^brandId={3}^pageSize={4}^supplierId={5}"/>

    <!-- 网店促销 -->
    <url name="admin_AddGeneralGift" location="admin" path="promote/AddGift.aspx"/>
    <url name="admin_ManageGifts" location="admin" path="promote/Gifts.aspx"/>
    <url name="admin_AddGift" location="admin" path="promote/AddGift.aspx"/>
    <url name="admin_ManageGiftCardInventory" location="admin" path="promote/GiftRechargeableCard.aspx"/>
    <url name="admin_ImportGiftCard" location="admin" path="promote/AddGiftRechargeableCard.aspx"/>
    <url name="admin_CreateCoupon" location="admin" path="promote/AddCoupon.aspx"/>
    <url name="admin_ManageCoupons" location="admin" path="promote/NewCoupons.aspx"/>
    <url name="admin_ManagePromoteSales" location="admin" path="promote/EngagedPromoteSales.aspx"/>
    <url name="admin_AddDiscount" location="admin" path="promote/AddDiscount.aspx"/>
    <url name="admin_AddPresent" location="admin" path="promote/AddPresent.aspx"/>
    <url name="admin_AddBuyToSend" location="admin" path="promote/AddBuyToSend.aspx"/>
    <url name="admin_AddFeeFree" location="admin" path="promote/AddFeeFree.aspx"/>
    <url name="admin_AddQuantityDiscount" location="admin" path="promote/AddQuantityDiscount.aspx"/>
    <url name="admin_GroupBuys" location="admin" path="promote/GroupBuys.aspx?productName={0}"/>
    <url name="admin_ReturnGroupBuys" location="admin" path="promote/GroupBuys.aspx"/>
    <url name="admin_EditCommonGroupBuy" location="admin" path="promote/EditGroupBuy.aspx?GroupBuyId={0}"/>
    <url name="admin_GroupBuyOrder" location="admin" path="sales/ManageOrder.aspx?GroupBuyId={0}"/>
	 <url name="admin_AddCountDown" location="admin" path="promote/AddCountDown.aspx"/>
	 <url name="admin_CountDowns" location="admin" path="promote/CountDowns.aspx"/>
	 <url name="admin_EditCountDown" location="admin" path="promote/EditCountDown.aspx?CountDownId={0}"/>


    <!-- 销售管理 -->
    <url name="admin_ManageOrder" location="admin" path="sales/ManageOrder.aspx"/>
    <url name="admin_ManageOrders" location="admin" path="sales/ManageOrder.aspx?UserName={0}^ShipTo={1}^OrderId={2}^OrderStatus={3}^OrderPaymentStatus={4}^OrderShippingStatus={5}^OrderRefundStatus={6}^PaymentType={7}^StartDate={8}^EndDate={9}^PageSize={10}"/>
    <url name="admin_ManageOrderTemporaryNoQuery" location="admin" path="sales/ManageOrderTemporary.aspx"/>
    <url name="admin_ManageOrderTemporary" location="admin" path="sales/ManageOrderTemporary.aspx?UserName={0}^OrderId={1}^StartDate={2}^EndDate={3}^PageSize={4}"/>
    <url name="admin_CardOrderDetails" location="admin" path="sales/CardOrderDetails.aspx?OrderId={0}"/>
    <url name="admin_OrderDetails" location="admin" path="sales/OrderDetails.aspx?OrderId={0}"/>
    <url name="admin_EditCardOrder" location="admin" path="sales/EditCardOrder.aspx?OrderId={0}"/>
    <url name="admin_EditOrder" location="admin" path="sales/EditOrder.aspx?OrderId={0}"/>
    <url name="admin_ManageOrderProducts" location="admin" path="sales/ManageOrderProduct.aspx?OrderId={0}^productName={1}^sku={2}^pageSize={3}"/>
    <url name="admin_RefundOrder" location="admin" path="sales/RefundOrder.aspx?OrderId={0}"/>
	  <url name="admin_PrintOrder" location="admin" path="sales/PrintOrder.aspx?OrderId={0}"/>
    <url name="admin_PrintPackingOrder" location="admin" path="sales/PrintPackingOrder.aspx?OrderId={0}"/>
    <url name="admin_PrintData" location="admin" path="sales/PrintData.aspx?OrderId={0}" />
	  <url name="admin_PrintCardOrder" location="admin" path="sales/PrintCardOrder.aspx?OrderId={0}"/>
    <url name="admin_SendGoods" location="admin" path="sales/SendGoods.aspx?OrderId={0}"/>
    <url name="admin_CreatePaymentMode" location="admin" path="sales/AddPaymentMode.aspx"/>
    <url name="admin_ManagePaymentMode" location="admin" path="sales/PaymentModes.aspx"/>
    <url name="admin_ManageCurrency" location="admin" path="Sales/Currencys.aspx"/>
    <url name="admin_ManageOrderOptions" location="admin" path="sales/OrderLookupLists.aspx"/>
    <url name="admin_EditPaymentMode" location="admin" path="sales/EditPaymentMode.aspx?modeId={0}" />
    <url name="Admin_EditExpressTemplate" location="admin" path="sales/EditExpressTemplate.aspx?ExpressId={0}^ExpressName={1}^XmlFile={2}" />
    <url name="Admin_AddSampleExpressTemplate" location="admin" path="sales/AddSampleExpressTemplate.aspx?ExpressName={0}^XmlFile={1}" />

    <url name="admin_ProductSaleStatistics" location="admin" path="sales/ProductSaleStatistics.aspx"/>
    <url name="admin_SaleTotalStatistics" location="admin" path="sales/SaleTotalStatistics.aspx"/>
    <url name="admin_UserOrderStatistics" location="admin" path="sales/UserOrderStatistics.aspx"/>
    <url name="admin_UserStatistics" location="admin" path="sales/UserStatistics.aspx"/>
    <url name="admin_SalesSettings" location="admin" path="sales/SalesSettings.aspx" />
    <url name="admin_OrderSearchSet" location="admin" path="sales/OrderSearchSet.aspx" />
    <url name="admin_UserStatisticeChart" location="admin" path="UserStatisticeChart.aspx?ChartType={0}^XValues={1}^YValues={2}" />
    <url name="admin_ProductSaleRanking" location="admin" path="sales/ProductSaleRanking.aspx"/>
    <url name="admin_MemberRanking" location="admin" path="sales/MemberRanking.aspx"/>
    
    <!-- 配送管理 -->
    <url name="admin_ManageShippingMode" location="admin" path="logistics/ShippingModes.aspx"/>
    <url name="admin_ManageShippingRegion" location="admin" path="logistics/Regions.aspx"/>
    <url name="admin_Regions" location="admin" path="logistics/Regions.aspx?ParentId={0}"/>
    <url name="admin_Areas" location="admin" path="logistics/Areas.aspx" />

    <!-- 系统工具 -->
    <url name="admin_CreateShop" location="admin" path="shop/CreateSite.aspx"/>
    <url name="admin_ManageShop" location="admin" path="shop/Sites.aspx"/>
    <url name="admin_ManageIPBanning" location="admin" path="shop/IPBannings.aspx"/>
    <url name="admin_Votes" location="admin" path="shop/Votes.aspx"/>
    <url name="admin_VoteItems" location="admin" path="shop/VoteItems.aspx?VoteId={0}"/>
    <url name="admin_AdvPositions" location="admin" path="shop/AdvPositions.aspx"/>
    <url name="admin_EditAdvPositions" location="admin" path="shop/EditAdvPositions.aspx?AdvPositionId={0}"/>
    <url name="admin_Advertisements" location="admin" path="shop/Advertisements.aspx?AdvPositionId={0}"/>
    <url name="admin_OnlineService" location="admin" path="shop/OnlineService.aspx"/>
    <url name="admin_CnzzStatistics" location="admin" path="shop/CnzzStatistics.aspx"/>
    <url name="admin_FindCnzzStatistics" location="admin" path="shop/FindCnzzStatistics.aspx"/>
    <url name="admin_FriendlyLinks" location="admin" path="shop/FriendlyLinks.aspx" />
    <url name="admin_HotKeywords" location="admin" path="shop/ManageHotKeywords.aspx" />
    <url name="admin_EmailTemplets" location="admin" path="shop/EmailTemplets.aspx"/>
    <url name="admin_EditEmailTemplet" location="admin" path="shop/EditEmailTemplet.aspx?emailType={0}"/>
    <url name="admin_ManageThemes" location="admin" path="shop/ManageThemes.aspx"/>
    <url name="admin_EmailToUser" location="admin" path="shop/EmailToUser.aspx"/>

    <!-- 系统报告 -->
    <url name="admin_ManageLogs" location="admin" path="shop/ManageLogs.aspx"/>

    <!--前台-->
    <url name="Error" location="common" path="Error.aspx?ErrorId={0}"/>
    <url name="RegisterClew" location="common" path="RegisterClew.aspx"/>
    <url name="VoteResult" location="common" path="VoteResult.aspx"/>
    <url name="VoteResults" location="common" path="VoteResult.aspx?VoteId={0}"/>
    <url name="register" location="common" path="Register.aspx"/>
    <url name="registerUserSave" location="common" path="RegisterUserSave.aspx"/>
    <url name="ForgotPassword" location="common" path="ForgotPassword.aspx"/>
    <url name="ForgotPasswordSuccess" location="common" path="ForgotPasswordSuccess.aspx"/>
    <url name="BlogIt" location="common" path="BlogIt.aspx?ProductId={0}"/>
    <url name="IntroducedToFriend" location="common" path="IntroducedToFriend.aspx?ProductId={0}"/>
    <url name="ProductConsultations" location="common" path="ProductConsultations.aspx?ProductId={0}"/>
    <url name="ProductSearch" location="common" path="ProductSearch.aspx"/>
    <url name="SearchResult" location="common" path="listProduct.aspx"/>
    <url name="allBrand" location="common" path="Brand.aspx"/>
    <url name="brand" location="common" path="Brand.aspx?brandId={0}"/>
    <url name="checkOutLogin" location="common" path="CheckOutLogin.aspx" />
    <url name="shoppingCart" location="common" path="ShoppingCart.aspx"/>
    <url name="addshoppingCart" location="common" path="ShoppingCart.aspx?CartItemType={0}^SKU={1}"/>
    <url name="FinishOrder" location="common" path="FinishOrder.aspx?orderId={0}"/>
    <url name="shippingAddress" location="common" path="ShippingAddress.aspx" />
    <url name="cardOrderPayment" location="common" path="CardOrderPayment.aspx?orderId={0}" />
    <url name="shippingMode" location="common" path="ShippingMode.aspx" />
    <url name="shippingPayment" location="common" path="ShippingPaymentMode.aspx" />
    <url name="submitOrder" location="common" path="SubmmitOrder.aspx" />
    <url name="QuicklyLoginOrRegister" location="common" path="QuicklyLoginOrRegister.aspx" />
    <url name="groupPurchase" location="common" path="GroupPurchase.aspx"/>
    <url name="PanicBuying" location="common" path="PanicBuying.aspx"/>
    <url name="PackageSale" location="common" path="PackageSales.aspx"/>
    <url name="subCategory" location="common" path="browse/category-{0}.aspx" pattern="browse/category-(\d+).aspx" vanity="SubCategory.aspx?categoryId=$1"/>
    <url name="subCategory_Rewrite" location="common" path="{1}/category-{0}.aspx" pattern="(.*)/category-(\d+).aspx" vanity="SubCategory.aspx?rewrite=$1^categoryId=$2"/>
    <url name="Articles" location="common" path="Articles.aspx?CategoryId={0}"/>
    <url name="AllArticles" location="common" path="Articles.aspx"/>
    <url name="Affiches" location="common" path="Affiches.aspx"/>
    <url name="ArticleDetails" location="common" path="article/show-{0}.aspx" pattern="article/show-(\d+).aspx" vanity="ArticleDetails.aspx?articleId=$1"/>
    <url name="AffichesDetails" location="common" path="affiche/show-{0}.aspx" pattern="affiche/show-(\d+).aspx" vanity="AffichesDetails.aspx?affichesId=$1"/>
	  <url name="FavourableDetails" location="common" path="Favourable/show-{0}.aspx" pattern="Favourable/show-(\d+).aspx" vanity="FavourableDetails.aspx?activityId=$1"/>
    <url name="AllHelps" location="common" path="Helps.aspx"/>
    <url name="Helps" location="common" path="Helps.aspx?CategoryId={0}"/>
	  <url name="Promotes" location="common" path="Promotes.aspx?PromoteType={0}"/>
    <url name="HelpDetails" location="common" path="help/show-{0}.aspx" pattern="help/show-(\d+).aspx" vanity="HelpDetails.aspx?helpId=$1"/>
    <url name="keywordsSearch" location="common" path="listProduct.aspx?keywords={0}"/>
    <url name="ProductImages" location="common" path="ProductImages.aspx?ProductId={0}"/>
    <url name="ProductNotify" location="common" path="ProductNotify.aspx?ProductId={0}" />
    <url name="productDetails" location="common" path="product_detail-0-{0}.aspx" pattern="product_detail-0-(\d+).aspx" vanity="ProductDetails.aspx?productId=$1"/>
    <url name="panicBuyingDetails" location="common" path="product_detail-3-{0}.aspx" pattern="product_detail-3-(\d+).aspx" vanity="PanicBuyingDetails.aspx?productId=$1"/>
    <url name="packageSalesDetails" location="common" path="product_detail-2-{0}.aspx" pattern="product_detail-2-(\d+).aspx" vanity="PackageSalesDetails.aspx?productId=$1"/>
    <url name="groupPurchaseDetails" location="common" path="product_detail-1-{0}.aspx" pattern="product_detail-1-(\d+).aspx" vanity="GroupPurchaseDetails.aspx?productId=$1"/>
    <url name="ReferOk" location="common" path="ReferOk.aspx?Message={0}^BackMessage={1}^RequestPage={2}"/>
    <url name="ReferFalse" location="common" path="ReferFalse.aspx?Message={0}^BackMessage={1}"/>
    <url name="LeaveComments" location="common" path="LeaveComments.aspx"/>
    <url name="Category" location="common" path="Category.aspx"/>

    <url name="SearchResultParamet" location="common" path="listProduct.aspx?keywords={0}^categoryId={1}" />
    <url name="SearchResultTemplet" location="common" path="listProduct.aspx?keywords={0}^categoryId={1}^pEAId={2}" />
    <url name="SearchResultAttribute" location="common" path="listProduct.aspx?keywords={0}^categoryId={1}" />

    <url name="GroupBuyProducts" location="common" path="GroupBuyProducts.aspx"/>
    <url name="CountDownProducts" location="common" path="CountDownProducts.aspx"/>
    <url name="GroupBuyProductDetails" location="common" path="groupbuyproduct_detail-0-{0}.aspx" pattern="groupbuyproduct_detail-0-(\d+).aspx" vanity="GroupBuyProductDetails.aspx?productId=$1"/>
    <url name="CountDownProductDetails" location="common" path="countdownproduct_detail-0-{0}.aspx" pattern="countdownproduct_detail-0-(\d+).aspx" vanity="CountDownProductDetails.aspx?productId=$1"/>
    <url name="OnlineGifts" location="common" path="OnlineGifts.aspx"/>
    <url name="GiftDetails" location="common" htmRewrite="true" path="gift/show-{0}.aspx" pattern="gift/show-(\d+).aspx" vanity="GiftDetails.aspx?giftId=$1"/>

    <url name="login_clean" location = "common" path="login.aspx" />
    <url name="login" location = "common" path="login.aspx?ReturnUrl={0}" />
    <url name="OpenIdEntry_url" location="common" path="openid/OpenIdEntry_{0}_{1}.aspx" pattern="openid/OpenIdEntry_(.*)_(.*).aspx" vanity="openid/OpenIdEntry.aspx?HIGW=$1^HITO=$2"/>
    <url name="LogisticsAddress_url" location="common" path="openid/LogisticsAddress_url.aspx"/>

	  <!--前台-->

    <!--账户中心-->
	  <url name="user_UserOrderLeaveWords" location="User" path="UserOrderLeaveWords.aspx?OrderId={0}"/>
    <url name="user_OrderDetails" location="User" path="OrderDetails.aspx?OrderId={0}"/>
    <url name="user_CardOrderDetails" location="User" path="CardOrderDetails.aspx?OrderId={0}"/>
    <url name="user_Favorites" location="User" path="Favorites.aspx?ProductId={0}" />
    <url name="user_ConfirmGoods" location="User" path="ConfirmGoods.aspx?OrderId={0}" />
    <url name="user_MyCoupons" location="User" path="MyCoupons.aspx" />
    <url name="user_MyChangeCoupons" location="User" path="MyChangeCoupons.aspx" />
    <url name="user_UpdatePassword" location="User" path="UpdatePassword.aspx" />
    <url name="user_UserOrders" location="User" path="UserOrders.aspx" />
    <url name="user_UserPoints" location="User" path="UserPoints.aspx" />
    <url name="user_UserProductReviews" location="User" path="UserProductReviews.aspx" />
    <url name="ProductReviewRefer" location="User" path="ProductReviewRefer.aspx?ProductId={0}"/>
    <url name="ProductReviewReply" location="User" path="ProductReviewReply.aspx?ReviewId={0}"/>
    <url name="ProductReviewReport" location="User" path="productReviewReport.aspx?ReviewId={0}"/>
    <url name="user_UserProfile" location="User" path="UserProfile.aspx" />
    <url name="user_UserShippingAddresses" location="User" path="UserShippingAddresses.aspx" />
    <url name="user_myGroupPurchase" location="User" path="MyGroupPurchase.aspx"/>
    <url name="user_UserConsultations" location="User" path="UserConsultations.aspx"/>
    <url name="user_RechargeRequest" location="User" path="RechargeRequest.aspx"/>
    <url name="user_RechargeConfirm" location="User" path="RechargeConfirm.aspx?modeId={0}^blance={1}"/>
    <url name="user_MyAccountSummary" location="User" path="MyAccountSummary.aspx"/>
    <url name="user_MyBalanceDetails" location="User" path="MyBalanceDetails.aspx"/>
    <url name="user_MyBalanceDrawRequest" location="User" path="MyBalanceDrawRequest.aspx"/>
    <url name="user_MyBalanceFreezeDetails" location="User" path="MyBalanceFreezeDetails.aspx"/>
    <url name="user_ReferralMembers" location="User" path="ReferralMembers.aspx"/>
    <url name="user_DeductDetails" location="User" path="DeductDetails.aspx"/>
    <url name="user_RequestBalanceDraw" location="User" path="RequestBalanceDraw.aspx"/>
    <url name="user_RequestBalanceDrawConfirm" location="User" path="RequestBalanceDrawConfirm.aspx"/>
    <url name="user_RefundOrders" location="User" path="RefundOrders.aspx?orderId={0}"/>
    <url name="user_RefundOrderConfirm" location="User" path="RefundOrdersConfirm.aspx"/>
    <url name="destinedGroupPurchase" location="User" path="DestinedGroupPurchase.aspx?productId={0}"/>
    <url name="groupPurchaseAddress" location="User" path="GroupPurchaseAddress.aspx?orderId={0}"/>
    <url name="submmitGroupPurchaseOrder" location="User" path="SubmmitGroupPurchaseOrder.aspx?orderId={0}"/>
    <url name="advance_pay" location = "User" path="pay.aspx?OrderId={0}" />
    <url name="login_form" location = "User" path="loginForm.aspx" />
    <url name="user_UserReceivedMessages" location="User" path="UserReceivedMessages.aspx" />
    <url name="user_UserSendedMessages" location="User" path="UserSendedMessages.aspx" />
    <url name="user_UserSendMessage" location="User" path="UserSendMessage.aspx" />
    <url name="user_UserDefault" location="User" path="UserDefault.aspx" />
    <url name="user_BatchBuy" location="User" path="BatchBuy.aspx" />

    <!-- 前台代理商操作 -->
    <url name="user_AgentDefault" location = "agent" path="AgentDefault.aspx" />
    <url name="user_AgentSettings" location = "agent" path="AgentSettings.aspx" />
    <url name="user_AgentManageThemes" location = "agent" path="AgentManageThemes.aspx" />
    <url name="user_AgentManageMembers" location="agent" path="AgentManageMembers.aspx"/>
    <url name="user_AgentAddMember" location="agent" path="AgentAddMember.aspx"/>
    <url name="user_AgentEditMember" location="agent" path="AgentEditMember.aspx?userId={0}"/>
    <url name="user_AgentBalanceToMember" location="agent" path="AgentBalanceToMember.aspx?userId={0}" />    
    <url name="user_AgentSearchMemberBalanceDetails" location="agent" path="AgentSearchMemberBalanceDetails.aspx?userId={0}" />
    <url name="user_AgentSearchMemberBalanceDrawDetails" location="agent" path="AgentSearchMemberBalanceDrawDetails.aspx?userId={0}" />
    <url name="user_AgentSearchMemberBalanceFreezeDetails" location="agent" path="AgentSearchMemberBalanceFreezeDetails.aspx?userId={0}" />   
    <url name="user_AgentMemberRanks" location="agent" path="AgentMemberRanks.aspx"/>
    <url name="user_AgentSetProductTempletPrice" location="agent" path="AgentSetProductTempletPrice.aspx?templetId={0}"/>
    <url name="user_AgentSetPLLTempletPrices" location="agent" path="AgentSetPLLTempletPrices.aspx?templetId={0}"/>
    <url name="user_AgentSetProductMemberPrice" location="agent" path="AgentSetProductMemberPrice.aspx?rankId={0}"/>
    <url name="user_AgentSetPLLMemberPrices" location="agent" path="AgentSetPLLMemberPrices.aspx?rankId={0}"/>
    <url name="user_AgentManagePriceTemplets" location="agent" path="AgentManagePriceTemplets.aspx" />
    <url name="user_AgentReCharge" location="agent" path="AgentReCharge.aspx" />
	  <url name="user_AgentRechargeConfirm" location="agent" path="AgentRechargeConfirm.aspx?modeId={0}^blance={1}" />
	  <url name="user_AgentAccountSummary" location="agent" path="AgentAccountSummary.aspx" />
    <url name="user_AgentBalanceDetails" location="agent" path="AgentBalanceDetails.aspx" />
	  <url name="user_AgentBalanceDraw" location="agent" path="AgentBalanceDraw.aspx" />
	  <url name="user_AgentBalanceDrawConfirm" location="agent" path="AgentBalanceDrawConfirm.aspx" />
    <url name="user_AgentBalanceDrawRequest" location="agent" path="AgentBalanceDrawRequest.aspx" />
    <url name="user_AgentBalanceFreezeDetails" location="agent" path="AgentBalanceFreezeDetails.aspx" />
    <url name="user_AgentTakePercentageRecords" location="agent" path="AgentTakePercentageRecords.aspx" />
    <url name="user_AgentMemberOrders" location="agent" path="AgentMemberOrders.aspx" />
    <url name="user_AgentOrders" location="agent" path="AgentMemberOrders.aspx?UserName={0}" />
    <url name="user_AgentOrderDetails" location="agent" path="AgentOrderDetails.aspx?OrderId={0}"/>
	  <url name="user_AgentOrderLeaveWords" location="agent" path="AgentOrderLeaveWords.aspx?OrderId={0}"/>
    <url name="user_AgentPayForMember" location="agent" path="AgentPayForMember.aspx?OrderId={0}"/>
    <url name="user_AgentProfile" location="agent" path="AgentProfile.aspx" />
    <url name="user_AgentUpdatePassword" location="agent" path="AgentUpdatePassword.aspx" />

    <url name="user_AgentAfficheList" location="agent" path="AgentAfficheList.aspx" />
    <url name="user_AgentAddAffiche" location="agent" path="AgentAddAffiche.aspx" />
    <url name="user_AgentEditAffiche" location="agent" path="AgentEditAffiche.aspx?afficheId={0}" />
    <url name="user_AgentHelpCategories" location="agent" path="AgentHelpCategories.aspx" />
    <url name="user_AgentAddHelp" location="agent" path="AgentAddHelp.aspx" />
    <url name="user_AgentEditHelp" location="agent" path="AgentEditHelp.aspx?helpId={0}" />
    <url name="user_AgentHelpList" location="agent" path="AgentHelpList.aspx" />
    <url name="user_AgentAdvPositions" location="agent" path="AgentAdvPositions.aspx" />
    <url name="user_AgentAdvertisements" location="agent" path="AgentAdvertisements.aspx?advPositionId={0}" />
    <url name="user_AgentFriendlyLinks" location="agent" path="AgentFriendlyLinks.aspx" />
    <url name="user_AgentHotKeywords" location="agent" path="AgentHotKeywords.aspx" />
    <url name="user_AgentTQOnLineServerSet" location="agent" path="AgentTQOnLineServerSet.aspx" />
    <url name="user_AgentLeaveComments" location="agent" path="AgentLeaveComments.aspx" />
    <url name="user_AgentReceivedMessages" location="agent" path="AgentReceivedMessages.aspx" />
    <url name="user_AgentSendedMessages" location="agent" path="AgentSendedMessages.aspx" />
    <url name="user_AgentSendMessage" location="agent" path="AgentSendMessage.aspx" />
    <url name="user_AgentSendMessageSelectUser" location="agent" path="AgentSendMessageSelectUser.aspx?Title={0}^Content={1}" />
    
    <!-- 充值 -->
    <url name="Return_url" location="common" path="pay/return_url_{0}.aspx" pattern="pay/return_url_(.*).aspx" vanity="pay/return_url.aspx?HIGW=$1"/>
    <url name="Notify_url" location="common" path="pay/notify_url_{0}.aspx" pattern="pay/notify_url_(.*).aspx" vanity="pay/notify_url.aspx?HIGW=$1"/>
    <url name="InpourNotify_url" location="common" path="pay/inpourNotify_url_{0}.aspx" pattern="pay/inpourNotify_url_(.*).aspx" vanity="pay/inpourNotify_url.aspx?HIGW=$1"/>
    <url name="InpourReturn_url" location="common" path="pay/inpourReturn_url_{0}.aspx" pattern="pay/inpourReturn_url_(.*).aspx" vanity="pay/inpourReturn_url.aspx?HIGW=$1"/>
    <!--充值-->

  </urls>
</SiteUrls>